local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local addon, ns = ...

P[mPlugin] = {
	["mMsg"] 				= true,
	["mTIcon"] 				= true,
	["mTIconSize"] 			= 32,
	["mMenuColor"] 			= true,
	["mClassColorHover"] 	= true,
	["mHoverTexture"] 		= "|CFF8E44ADm|r|CFF2ECC71Media|r |CFF3498DB4a|r",
	["mPluginVersion"] 		= 0,
	["mClassNameplate"] 	= false,
	["mBackup"] 			= false,
	["mBackupHover"] 		= {
		["cr"] = 0, 
		["cg"] = 0, 
		["cb"] = 0, 
		["br"] = 0, 
		["bg"] = 0, 
		["bb"] = 0
	},
	["mBackupHoverBorder"] 	= nil,
	["InstancInfoToolTip"]	= true,
	["InstancInfoName"]		= true,
	["cClassRare"]			= {
		["b"] = 0.77254901960784,
		["color"] = "|cff8356c5",
		["g"] = 0.33725490196078,
		["r"] = 0.51372549019608,
	},
	["cClassRareElite"]		= {
		["b"] = 0.78823529411765,
		["color"] = "|cffab54c9",
		["g"] = 0.32941176470588,
		["r"] = 0.67058823529412,
	},
	["cClassElite"]			= {
		["b"] = 0.83529411764706,
		["color"] = "|cffff68d5",
		["g"] = 0.4078431372549,
		["r"] = 1,
	},
	["cClassBoss"]			= {
		["b"] = 0.31372549019608,
		["color"] = "|cffe52b50",
		["g"] = 0.16862745098039,
		["r"] = 0.89803921568627,
	},
	["cGeneralAFK"]			= {
		["b"] = 0.32156862745098,
		["color"] = "|cffff2051",
		["g"] = 0.12549019607843,
		["r"] = 1,
	},
	["cGeneralTank"]		= {
		["b"] = 1,
		["color"] = "|cff007fff",
		["g"] = 0.49803921568627,
		["r"] = 0,
	},
	["cGeneralHeal"]		= {
		["b"] = 0.6,
		["color"] = "|cff00cc99",
		["g"] = 0.8,
		["r"] = 0,
	},
	["cGeneralZzz"]			= {
		["b"] 		= 0.34509803921569,
		["color"] 	= "|cfff7d358",
		["g"] 		= 0.82745098039216,
		["r"] 		= 0.96862745098039,
	},
	["cGeneralLevel"]		= {
		["b"] = 0.24313725490196,
		["color"] = "|cffff033e",
		["g"] = 0.011764705882353,
		["r"] = 1,
	},
	["mDataText"]			= 
	{	["colorhc"] = {
		["b"] = 0.86666666666667,
		["g"] = 0.43921568627451,
		["hex"] = "|cff0070dd",
		["r"] = 0,
	},
	["colormyth"] = {
		["b"] = 0.93333333333333,
		["g"] = 0.20392156862745,
		["hex"] = "|cffa334ee",
		["r"] = 0.63921568627451,
	},
	["colormythplus"] = {
		["b"] = 0.24313725490196,
		["hex"] = "|cffff033e",
		["g"] = 0.011764705882353,
		["r"] = 1,
	},
	["colornhc"] = {
		["b"] = 0,
		["g"] = 1,
		["hex"] = "|cff1eff00",
		["r"] = 0.11764705882353,
	},
	["colorother"] = {
		["b"] = 1,
		["g"] = 1,
		["hex"] = "|cffffffff",
		["r"] = 1,
	},
	["colortitel"] = {
		["b"] = 0,
		["g"] = 0.7843137254902,
		["hex"] = "|cffffc800",
		["r"] = 1,
	},
	["colortip"] = {
		["b"] = 0.58823529411765,
		["g"] = 0.58823529411765,
		["hex"] = "|cff969696",
		["r"] = 0.58823529411765,
	},},
	["mDock"] = {
		["autogrow"] = true,
		["growsize"] = 8,
		["customfontzise"] = false,
		["font"] = "PT Sans Narrow", 
		["fontSize"] = 12, 
		["fontflag"] = "OUTLINE",
		["fontcolor"] 		= {["r"] = 1, ["g"] = 1, ["b"] = 1,},
		["normal"] 			= {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75, ["style"] = "custom",},
		["hover"] 			= {["r"] = .1, ["g"] = .94, ["b"] = 1, ["a"] = 100, ["style"] = "class",},
		["click"] 			= {["r"] = .4, ["g"] = .4, ["b"] = .4, ["a"] = .75, ["style"] = "custom",},
		["tip"] = {["enable"] = true,},
		["character"] = {["color"] = "default", ["option"] = "none", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\social\\social9.tga", ["name"] = 83,},
		["guild"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\social\\social13.tga", ["name"] = 87,},
		["mainmenu"] = {["text"] = "FPS", ["color"] = "default", ["option"] = "none", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\system\\system30.tga", ["name"] = 129,},
		["quest"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\quest\\quest1.tga", ["name"] = 49,},
		["spellbook"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\other\\other1.tga", ["name"] = 19,},
		["talent"] = {["showrole"] = true, ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\collection\\collection5.tga", ["name"] = 5,},
		["friends"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\social\\social16.tga", ["name"] = 90,},
		["fpsms"] = {["text"] = "FPS", ["color"] = "default", ["option"] = "fps", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\system\\system26.tga", ["name"] = 125,},
		["durability"] = {["onlytext"] = false, ["color"] = "default", ["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\system\\system28.tga", ["name"] = 120,},
		["nottification"] = {["path"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\system\\system25.tga", ["name"] = 124,
								["r"] = 0, ["g"] = 1, ["b"] = 0, ["a"] = .75, ["style"] = "custom", ["size"] = 16, ["flash"] = true,},
	},
	["mRoll"] = {["enable"] = false, ["colormodenormal"] = "custom", ["colormodehover"] = "class", ["colornormal"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,},
				 ["colorhover"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,}, ["size"] = 16,},
	["mChatMenu"] = {["enable"] = false, ["colormodenormal"] = "custom", ["colormodehover"] = "class", ["colornormal"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,},
				  ["colorhover"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = .75,}, ["size"] = 16,},
	["SystemMenu"] = {["showicon"] = true,},
	["mTags"] = {	["dndname"] = "DND1", ["dndpath"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\collection\\dnd1.tga", 
					["afkname"] = "AFK1", ["afkpath"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\collection\\afk1.tga", 
					["skullname"] = "SKULL2", ["skullpath"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\collection\\skull2.tga",
					["ghostname"] = "SKULL10", ["ghostpath"] = "Interface\\AddOns\\ElvUI_mMediaTag_Classic\\media\\dock\\collection\\skull10.tga",
				},
}